#######################################################
# PlcmEma.spec                                        #
# ------------------                                  #
# This is the EMA RPM build spec file.  	      #
# Written by: Judith Maman                            #
#             judith.shuva-maman@polycom.co.il        #
# Date:       25/03/2012                              #
# 						      #
#              capabilities:                          #
#              export Filename=Plcm-Ema		      #
#              execute by:                            #
#              rpmbuild -ba \                         #
#              ./rpmbuild/SPECS/Plcm-Ema.spec 	      #
#######################################################

##################################################
# Macros                                         #
#                                                #
# The default macros are kept in                 #
# /usr/lib/rpm/macros. New macros can be set.    #
##################################################
# Setting the user's home directory
#%define _homedir %(echo `pwd`)
%define _homedir %(echo $BUILD_PATH)
%define _package %(echo $Filename)
#______________ Update above here ________________

# Added by Shachar Bar to cancel stripping binary information
%define __spec_install_post %{nil}
%define debug_package %{nil}
#%define __os_install_post %{_dbpath}/brp-compress

#%define _topdir %{_homedir}/rpmbuild
%define _topdir %{_homedir}/EmaRpmbuild/rpmbuild
%define _builddir %{_topdir}/BUILD
%define _buildroot %{_topdir}/BUILDROOT

# For all unpackaged files
%define _unpackaged_files_terminate_build 0

##################################################
# Information and environment                    #
# To be observed by:                             #
# 1. Before installation: rpm -qif package_file  #
# 2. After installation: rpm -qi package_name    #
##################################################
Summary:	Plcm-Ema RPM build 
#______________ Update above here ________________

Name:		Plcm-Ema
#______________ Update above here ________________

Version:	7.8
#______________ Update above here ________________

Release:	0
#______________ Update above here ________________

Vendor: 	Polycom
Packager:	Judith Shuva-Maman <judith.shuva@polycom.co.il>
Group:		System Environment/Devel
License:	Commercial
Source:		%{_package}.tar.gz
#______________ Update above here ________________
#Jud Prefix:		/usr/share/RmxMcms
BuildRoot:	%{_topdir}/BUILD

BuildRequires:	make
Requires:		Plcm-Mcms 


%description
This is the Ema package.
#______________ Update above here ________________

##################################################
# Preparing for build                            #
##################################################
%prep
# Make sure the rest of the RPM Build environment is met
#cd ../BUILDROOT
echo "In prep - $PWD"

tar zxf ../SOURCES/${Filename}.tar.gz

# Creating a dummy configure file - this is rpmbuild legacy
touch ../BUILD/configure
chmod +x ../BUILD/configure
echo "Prep phase is finished"

##################################################
# Building the binaries                          #
##################################################
%build
# Calling the built-in Makefile to produce the project
echo "In build phase - Current dir: $PWD"
#make -C ../BUILD/vob/SW/MRMX/MCU/mp

##################################################
# Creating a valid Makefile, if one is not       #
# supplied. This is a dummy stage, as we don't   #
# use any Makefile.                              #
##################################################
%configure

echo "Passing the configure phase"

##################################################
# Installing the new package files               #
##################################################
%install
# Removing the dummy configure file to prevent unpacked file warning
echo "Install is in: $PWD"
rm -f ../BUILD/configure
echo "Add the creation of the build folders"

mkdir -p ../BUILDROOT/EMA/Schemas
mkdir -p ../BUILDROOT/EMA/EMA.UI
mkdir -p ../BUILDROOT/EMA/EMA.Coordinator
mkdir -p ../BUILDROOT/EMA/EMA.Utils

##################################################
# The / relative pathname of the actual position,#
# the final files are to be placed.              #
# Pay Attention: the location of these files is  #
# relative to the %{_builddir} directory and     #
# should keep its filnal location in the         #
# %files section, i.e.:                          #
# %{_builddir}/lib/libexp.so will be installed   #
# in the /lib directory and will be placed as    #
# /lib/libexp.so in the %files section below.    #
##################################################

if [[ ! -d ../../../EmaRpmbuild/rpmbuild/BUILD ]]; then
	mkdir -p ../../../EmaRpmbuild/rpmbuild/BUILD
fi
if [[ ! -d ../BUILD/Schemas ]]; then
	ln -sf %{_homedir}/Schemas ../BUILD/
fi
if [[ ! -d ../BUILD/EMA.UI ]]; then
	ln -sf %{_homedir}/EMA.UI ../BUILD/
fi
if [[ ! -d ../BUILD/EMA.Coordinator ]]; then
	ln -sf %{_homedir}/EMA.Coordinator ../BUILD/
fi
if [[ ! -d ../BUILD/EMA.Utils ]]; then
	ln -sf %{_homedir}/EMA.Utils ../BUILD/
fi
if [[ ! -f ../BUILD/RmxManager.html ]]; then
	ln -sf %{_homedir}/RmxManager.html ../BUILD/
fi
if [[ ! -f ../BUILD/index.html ]]; then
	ln -sf %{_homedir}/index.html ../BUILD/
fi
if [[ ! -f ../BUILD/robots.txt ]]; then
	ln -sf %{_homedir}/robots.txt ../BUILD/
fi
if [[ ! -f ../BUILD/favicon.ico ]]; then
	ln -sf %{_homedir}/favicon.ico ../BUILD/
fi
if [[ ! -f ../BUILD/MakeRpm.sh ]]; then
	ln -sf %{_homedir}/MakeRpm.sh ../BUILD/
fi


# Copying specific package files to the installation directory
cp -a ../BUILD/Schemas/* ../BUILDROOT/EMA/Schemas
cp -a ../BUILD/EMA.UI/* ../BUILDROOT/EMA/EMA.UI
cp -a ../BUILD/EMA.Coordinator/* ../BUILDROOT/EMA/EMA.Coordinator
cp -a ../BUILD/EMA.Utils/* ../BUILDROOT/EMA/EMA.Utils
cp ../BUILD/RmxManager.html ../BUILDROOT/EMA/
cp ../BUILD/index.html ../BUILDROOT/EMA/
cp ../BUILD/robots.txt ../BUILDROOT/EMA/
cp ../BUILD/favicon.ico ../BUILDROOT/EMA/
cp ../BUILD/MakeRpm.sh ../BUILDROOT/EMA/
if [[ -f ../BUILD/Plcm-Ema.spec ]]; then
	cp ../BUILD/Plcm-Ema.spec ../BUILDROOT/EMA/
fi
#rm -rf ../BUILD/EMA/EMA.Coordinator/
#rm -rf ../BUILD/EMA/EMA.Utils/

echo "At the end we are in: $PWD"

##################################################
# Post install - libraries should be relinked    #
##################################################
%post

if [[ $1 == 1 ]];then

	echo "Install...(post)"

	mkdir -p /mcms
	mkdir -p /EMA
	mkdir -p /config/ema
	mkdir -p /EMACfg

	ln -sf /EMA /mcms/EMA
	ln -sf /EMA /EMA/EMA.Utils/EMA.Utils.ClickOnce/EMA
	ln -sf /config/ema /mcms/EMACfg
	ln -sf /mcms/Versions.xml /EMA/Versions.xml
	ln -sf /config/ema/InternalConfigSet_Customized.xml /EMA/EMA.UI/Configuration/InternalConfigSet_Customized.xml 
	
	/bin/touch /config/ema/EMA.DataObjects.OfflineTemplates.AddressbookContent_.xml
	/bin/touch /config/ema/EMA.DataObjects.OfflineTemplates.NoteListContent_.xml

	chown -R mcms:mcms /config/ema/
	
	#(echo 'var MCU_BUILD = "'$MCU_VERSION'";' ;  cat EMA/EMA.UI/JavaScript/EMAHtmlVariables.js | grep -v "MCU_BUILD") > EMA/EMA.UI\
	#/JavaScript/EMAHtmlVariables.js.tmp

	#mv EMA/EMA.UI/JavaScript/EMAHtmlVariables.js.tmp  EMA/EMA.UI/JavaScript/EMAHtmlVariables.js
	#mkdir -p EMA/EMA.UI/ProductType
	ln -sf /tmp/JITC_MODE.txt /EMA/EMA.UI/ProductType/JITC_MODE.txt
	ln -sf /tmp/EMAProductType.txt /EMA/EMA.UI/ProductType/EMAProductType.txt
	ln -sf /tmp/ClientCfg.xml /EMA/EMA.UI/ProductType/ClientCfg.xml

	echo "Installing Rmx EMA successfully"
fi

if [[ $1 == 2 ]];then

	echo "Upgrade...(post)"
fi

rm -f /EMA/install.sh



##################################################
# Post uninstall - libraries should be relinked  #
##################################################
%postun

if [[ $1 == 1 ]];then
	echo "Upgraded Rmx EMA...(postun)"
elif [[ $1 == 0 ]];then
	rm -rf /EMA
	rm -rf /config/ema
	rm -rf /EMACfg
	rm /mcms/EMA
	echo "Uninstalled Rmx EMA successfully"
fi


##################################################
# Cleaning up and finishing ...                  #
##################################################
%clean
echo "Exiting $0 build process of with $?"

##################################################
# The files to be installed  are listed here.    #
# These file's path relates to                   #
# %{_topdir}/BUILD                               #
# but will be installed in this full path.       #
##################################################
%files
%defattr(-,mcms,mcms,-)
/EMA/*


#______________ Update above here ________________

%changelog
* Mon Nov 26 2012 Ori Pugatzky <ori.pugatzky@polycom.co.il>
  Outputs are copied to BUILDROOT.
* Wed Jul 18 2012 Judith Maman <judith.shuva@polycom.co.il>
- Remove version number from the spec file. 
* Thu Jun 21 2012 Judith Maman <judith.shuva@polycom.co.il>
- Adding dependencies
* Mon Jun 04 2012  Judith Maman <judith.shuva@polycom.co.il>
  fixing RPM content
* Tue May 23 2012 Judith Maman <judith.shuva@polycom.co.il>
  Rpm name and version was change according to new naming convention
* Thu Mar 27 2012 Shachar Bar <shachar.bar@polycom.co.il>
- solve binary strip issue
* Mon Mar 19 2012 Judith Maman <judith.shuva@polycom.co.il>
- Creating the rpm
